# XXX This code is not yet ready to be run in production, and should remain disabled until such
# XXX time as this notice is removed.

from flask import jsonify

from endpoints.v2 import v2_bp, require_repo_read
from auth.jwt_auth import process_jwt_auth
from endpoints.decorators import anon_protect
from data import model

@v2_bp.route('/<namespace>/<repo_name>/tags/list', methods=['GET'])
@process_jwt_auth
@require_repo_read
@anon_protect
def list_all_tags(namespace, repo_name):
  return jsonify({
    'name': '{0}/{1}'.format(namespace, repo_name),
    'tags': [tag.name for tag in model.tag.list_repository_tags(namespace, repo_name)],
  })
